Subject: Re: bug#16079: `ruby-forward-string' chokes on caret delimiters (PATCH)
From: Dmitry Gutov <[email-masked]>
To: Cameron Desautels <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Dec 2013 05:46:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Cameron Desautels <[email-masked]> writes:

> This bug manifests itself by breaking `ruby-parse-region' in any
> buffer containing a caret-delimited string.  This breaks indentation,
> movement commands, and even keeps Emacs from building an Imenu.

Thanks, I've applied the fix.

> I've attached a patch which resolves the issue.  Note that this patch
> builds on the test suite for `ruby-forward-string' that I included in
> issue #16078.

The tests are not included so far, let's continue discussing them in
#16078. Closing this one.